Bug 856988 - (CVE-2012-4419, CVE-2012-4922) CVE-2012-4419 CVE-2012-4922 tor: assertion failures in tor_timegm() and compare_tor_addr_to_addr_policy()
CVE-2012-4419 CVE-2012-4922 tor: assertion failures in tor_timegm() and compa...
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20120911,repor...
: Security
Depends On: 856989 856990
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-13 06:00 EDT by Jan Lieskovsky
Modified: 2016-09-19 22:48 EDT (History)
3 users (show)

See Also:
Fixed In Version: tor 0.2.2.39
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-09-13 06:00:12 EDT
Two instances of remotely triggerable assertion failures have been corrected in upstream Tor 0.2.2.39 version ([1]):
o Security fixes:
     - Fix an assertion failure in tor_timegm() that could be triggered
       by a badly formatted directory object. Bug found by fuzzing with
       Radamsa. Fixes bug 6811; bugfix on 0.2.0.20-rc.
     - Do not crash when comparing an address with port value 0 to an
       address policy. This bug could have been used to cause a remote
       assertion failure by or against directory authorities, or to
       allow some applications to crash clients. Fixes bug 6690; bugfix
       on 0.2.1.10-alpha.

References:
[1] https://gitweb.torproject.org/tor.git/blob/release-0.2.2:/ReleaseNotes
[2] http://www.openwall.com/lists/oss-security/2012/09/12/5
[3] http://www.openwall.com/lists/oss-security/2012/09/12/19
[4] http://www.openwall.com/lists/oss-security/2012/09/13/2

Upstream patches: 
[5] https://gitweb.torproject.org/tor.git/commitdiff/973c18bf0e84d14d8006a9ae97fde7f7fb97e404
    (tor_timegm case)
[6] https://gitweb.torproject.org/tor.git/commitdiff/62d96284f7e0f81c40d5df7e53dd7b4dfe7e56a5
    (compare address with port 0 to address policy case)
Comment 1 Jan Lieskovsky 2012-09-13 06:01:45 EDT
These issues affect the versions of the tor package, as shipped with Fedora release of 16 and 17. Please schedule an update.

--

These issues affect the version of the tor package, as shipped with Fedora EPEL 5. Please schedule an update.
Comment 2 Jan Lieskovsky 2012-09-13 06:02:47 EDT
Created tor tracking bugs for this issue

Affects: fedora-all [bug 856989]
Affects: epel-5 [bug 856990]
Comment 3 Kurt Seifried 2012-09-15 11:12:40 EDT
Name: CVE-2012-4419
The compare_tor_addr_to_addr_policy function in or/policies.c in Tor
before 0.2.2.39, and 0.2.3.x before 0.2.3.21-rc, allows remote
attackers to cause a denial of service (assertion failure and daemon
exit) via a zero-valued port field that is not properly handled during
policy comparison.

Name: CVE-2012-4922
The tor_timegm function in common/util.c in Tor before 0.2.2.39, and
0.2.3.x before 0.2.3.22-rc, does not properly validate time values,
which allows remote attackers to cause a denial of service (assertion
failure and daemon exit) via a malformed directory object, a different
vulnerability than CVE-2012-4419.
Comment 4 Fedora Update System 2012-09-23 23:21:16 EDT
tor-0.2.2.39-1800.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2013-02-03 08:38:34 EST
tor-0.2.2.39-1700.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.